ReflectionUtil (Tomcat API Documentation)
Keywords: org.apache.el.util.ReflectionUtil class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.el.util
Class ReflectionUtil

    java.lang.Object
      org.apache.el.util.ReflectionUtil

    public class ReflectionUtil

extends java.lang.Object

Utilities for Managing Serialization and Reflection

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: markt $
Author:
  Jacob Hookom [jacob@hookom.net]

Field Summary
`protected static java.lang.String[]` | `EMPTY_STRING`
`protected static java.lang.String[]` | `PRIMITIVE_NAMES`
`protected static java.lang.Class[]` | `PRIMITIVES`

Method Summary
`static java.lang.Class` | `forName(java.lang.String name)`
`protected static java.lang.Class` | `forNamePrimitive(java.lang.String name)`
`static java.lang.reflect.Method` | `getMethod(java.lang.Object base, java.lang.Object property, java.lang.Class[] paramTypes)` Returns a method based on the criteria
`static java.beans.PropertyDescriptor` | `getPropertyDescriptor(java.lang.Object base, java.lang.Object property)`
`protected static java.lang.String` | `paramString(java.lang.Class[] types)`
`static java.lang.Class[]` | `toTypeArray(java.lang.String[] s)` Converts an array of Class names to Class types
`static java.lang.String[]` | `toTypeNameArray(java.lang.Class[] c)` Converts an array of Class types to Class names

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_STRING

    protected static final java.lang.String[] EMPTY_STRING

### PRIMITIVE_NAMES

    protected static final java.lang.String[] PRIMITIVE_NAMES

### PRIMITIVES

    protected static final java.lang.Class[] PRIMITIVES

Method Detail

### forName

    public static java.lang.Class forName(java.lang.String name)
                                   throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### forNamePrimitive

    protected static java.lang.Class forNamePrimitive(java.lang.String name)

### toTypeArray

    public static java.lang.Class[] toTypeArray(java.lang.String[] s)
                                         throws java.lang.ClassNotFoundException

  Converts an array of Class names to Class types

  Parameters:
    `s` -
  Returns:
  Throws:
    `java.lang.ClassNotFoundException`

### toTypeNameArray

    public static java.lang.String[] toTypeNameArray(java.lang.Class[] c)

  Converts an array of Class types to Class names

  Parameters:
    `c` -
  Returns:

### getMethod

    public static java.lang.reflect.Method getMethod(java.lang.Object base,
                                                     java.lang.Object property,
                                                     java.lang.Class[] paramTypes)
                                              throws javax.el.MethodNotFoundException

  Returns a method based on the criteria

  Parameters:
    `base` - the object that owns the method
    `property` - the name of the method
    `paramTypes` - the parameter types to use
  Returns:
    the method specified
  Throws:
    `javax.el.MethodNotFoundException`

### paramString

    protected static final java.lang.String paramString(java.lang.Class[] types)

### getPropertyDescriptor

    public static java.beans.PropertyDescriptor getPropertyDescriptor(java.lang.Object base,
                                                                      java.lang.Object property)
                                                               throws javax.el.ELException,
                                                                      javax.el.PropertyNotFoundException

  Parameters:
    `base` -
    `property` -
  Returns:
  Throws:
    `javax.el.ELException`
    `javax.el.PropertyNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.